#### D.15.3.20 chProdL

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chProdL(r, c, R, C); r, R integers; c, C lists of polynomials

Return:
  list

Purpose:
  computes the list of Chern classes of the product of two vector bundles in terms of their Chern clases

Note:
  Implementation of the formula of Lascoux, the Schur polynomials are computed using the second Jacobi-Trudi formula (in terms of the Chern classes)

Example:

    LIB "chern.lib";
    // The Chern classes of the tensor product of a vector bundle of rank 3
    // with Chern classes c(1), c(2), c(3) and a vector bundle of rank 1 with
    // Chern class C(1)
    ring r = 0, ( c(1..3), C(1)), dp;
    list c=c(1..3);
    list C=C(1);
    print( chProdL(3,c,1,C) );
    ==> [1]:
    ==>    c(1)+3*C(1)
    ==> [2]:
    ==>    2*c(1)*C(1)+3*C(1)^2+c(2)
    ==> [3]:
    ==>    c(1)*C(1)^2+C(1)^3+c(2)*C(1)+c(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.